classification
Title: Update the dis module documentation to reflect switch to wordcode
Type: Stage: patch review
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: open Resolution:
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Demur Rumed, Eric Appelt, belopolsky, delimitry, docs@python, miss-islington, serhiy.storchaka, vstinner
Priority: normal Keywords: patch

Created on 2018-01-22 17:41 by belopolsky, last changed 2019-06-12 03:54 by miss-islington.

Pull Requests
URL Status Linked Edit
PR 13985 merged laike9m, 2019-06-12 03:42
PR 14002 merged miss-islington, 2019-06-12 03:46
PR 14003 merged miss-islington, 2019-06-12 03:46
Messages (6)
msg310440 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2018-01-22 17:41
A switch to wordcode is implemented in Python 3.6, but the documentation in the dis module was mostly left unchanged.  See issue 26647, msg266388 and issue 27095, msg268389.
msg310441 - (view) Author: Alexander Belopolsky (belopolsky) * (Python committer) Date: 2018-01-22 17:45
There is an uncommitted update for the EXTENDED_ARG opcode documentation attached to issue 27095 as mkfu4.patch by Demur Rumed.
msg316136 - (view) Author: Dmitry Alimov (delimitry) * Date: 2018-05-03 20:20
The documentation for EXTENDED_ARG opcode should also be updated for Python versions 3.6, 3.7, 3.8.
msg345301 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-06-12 03:46
New changeset 405f648db7c44b07348582b5101d4716e0ce5ac3 by Serhiy Storchaka (Yao Zuo) in branch 'master':
bpo-32625: Updated documentation for EXTENDED_ARG. (GH-13985)
https://github.com/python/cpython/commit/405f648db7c44b07348582b5101d4716e0ce5ac3
msg345302 - (view) Author: miss-islington (miss-islington) Date: 2019-06-12 03:51
New changeset f0cc1a91f72c7f60adc47ec9a4305d8d85dcb1f2 by Miss Islington (bot) in branch '3.7':
bpo-32625: Updated documentation for EXTENDED_ARG. (GH-13985)
https://github.com/python/cpython/commit/f0cc1a91f72c7f60adc47ec9a4305d8d85dcb1f2
msg345303 - (view) Author: miss-islington (miss-islington) Date: 2019-06-12 03:54
New changeset 811f84d55d156e3d05889806d00a8c028d304089 by Miss Islington (bot) in branch '3.8':
bpo-32625: Updated documentation for EXTENDED_ARG. (GH-13985)
https://github.com/python/cpython/commit/811f84d55d156e3d05889806d00a8c028d304089
History
Date User Action Args
2019-06-12 03:54:01miss-islingtonsetmessages: + msg345303
2019-06-12 03:51:45miss-islingtonsetnosy: + miss-islington
messages: + msg345302
2019-06-12 03:46:28miss-islingtonsetpull_requests: + pull_request13867
2019-06-12 03:46:22miss-islingtonsetpull_requests: + pull_request13866
2019-06-12 03:46:13serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg345301
2019-06-12 03:42:36laike9msetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request13865
2018-05-03 20:20:09delimitrysetnosy: + delimitry

messages: + msg316136
versions: + Python 3.6, Python 3.8
2018-03-19 18:08:00Eric Appeltsetnosy: + Eric Appelt
2018-01-22 19:01:34belopolskysetnosy: + vstinner
2018-01-22 17:45:16belopolskysetnosy: + Demur Rumed
messages: + msg310441
2018-01-22 17:41:42belopolskycreate